## Update a list `client.Rules.Lists.Update(ctx, listID, params) (*ListUpdateResponse, error)` **put** `/accounts/{account_id}/rules/lists/{list_id}` Updates the description of a list. ### Parameters - `listID string` The unique ID of the list. - `params ListUpdateParams` - `AccountID param.Field[string]` Path param: The Account ID for this resource. - `Description param.Field[string]` Body param: An informative summary of the list. ### Returns - `type ListUpdateResponse struct{…}` - `ID string` The unique ID of the list. - `CreatedOn string` The RFC 3339 timestamp of when the list was created. - `Kind ListUpdateResponseKind` The type of the list. Each type supports specific list items (IP addresses, ASNs, hostnames or redirects). - `const ListUpdateResponseKindIP ListUpdateResponseKind = "ip"` - `const ListUpdateResponseKindRedirect ListUpdateResponseKind = "redirect"` - `const ListUpdateResponseKindHostname ListUpdateResponseKind = "hostname"` - `const ListUpdateResponseKindASN ListUpdateResponseKind = "asn"` - `ModifiedOn string` The RFC 3339 timestamp of when the list was last modified. - `Name string` An informative name for the list. Use this name in filter and rule expressions. - `NumItems float64` The number of items in the list. - `NumReferencingFilters float64` The number of [filters](/api/resources/filters/) referencing the list. - `Description string` An informative summary of the list. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/rules" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) list, err := client.Rules.Lists.Update( context.TODO(), "2c0fc9fa937b11eaa1b71c4d701ab86e", rules.ListUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", list.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "2c0fc9fa937b11eaa1b71c4d701ab86e", "created_on": "2020-01-01T08:00:00Z", "kind": "ip", "modified_on": "2020-01-10T14:00:00Z", "name": "list1", "num_items": 10, "num_referencing_filters": 2, "description": "This is a note" }, "success": true } ```